Bug 97489 - Make Lokkit smart enough to check enabled server requirements.
Make Lokkit smart enough to check enabled server requirements.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-securitylevel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-16 12:27 EDT by Ali-Reza Anghaie
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-01 13:35:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ali-Reza Anghaie 2003-06-16 12:27:53 EDT
Description of problem:   
Currently the NTP startup script checks for iptables and adds rules to the chains itself. This   
seems like a bad idea to me. If there is a central place for FW managment it should remain as   
such as not to cause confusion.   
   
I think it's be preferable if Lokkit could check against chkconfig or what-not and determine FW   
requirements for your enabled services. Flag them somehow so the user can make a decision.   
I would hope that the ~default~ init scripts wouldn't be allowed to overrule lokkit.   
   
Just a thought. Cheers, -Ali   
  
  
{ There is no lokkit component listed above for me to choose. And it failed when I used 
'component text'.. Sorry. }
Comment 1 Ali-Reza Anghaie 2005-05-31 17:48:44 EDT
Same basic problem exists in RHEL 4, nice RFE for some future release IMO.
Changing to proper package now and it's not just for lokkit anymore (new nicer
tools and GUIs). Also choosing reassign option to get to the right person now.
Comment 2 Ali-Reza Anghaie 2005-06-01 13:35:09 EDT
Closing this RFE here and filing in RHN per the note below from another RFE:

------- Additional Comments From shillman@redhat.com  2005-06-01 10:40 EST -------
In order to file a RHEL feature request, please either contact Red Hat's
Technical Support line at 888-REDHAT-1 or file a web ticket at
http://www.redhat.com/apps/support/.  Bugzilla is not an official support
channel, has no response guarantees, and may not route your request to the
correct area to assist you.  Using the official support channels above will
guarantee that your issue is handled appropriately and routed to the
individual or group which can best assist you with this issue and will also
allow Red Hat to track the issue, ensuring that any applicable feature
addition is included in all releases and is not dropped from a future update
or major release.

Note You need to log in before you can comment on or make changes to this bug.